%define lib_name_orig libsiag
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	An office suite
Name:		siag
Version:	3.5.0
Release:	3mdk
License:	GPL
URL:		http://siag.nu/
Group:		Office

Source:		%name-%version.tar.bz2
Source1:	siag_icons.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
Buildrequires:	libMowitz0-devel libXawM1-devel

%description
Siag Office consists of the word processor Pathetic Writer,
the spreadsheet Siag and the animation program Egon Animator.
Also included are the file manager Xfiler, the text editor Xedplus
and the Postscript viewer Gvu.

%package -n %{lib_name}
Summary:	Main library for siag
Group:		Office
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with siag.

%prep

%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/python2.2"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/python2.2"

./configure --prefix=%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir} \
 --with-stocks --with-python 

%make

%install
rm -fr %buildroot

make prefix=%buildroot/%_prefix install

install -d -m 0755 %buildroot/%_docdir/%name-%version
mv %buildroot/%_prefix/doc/%name/* %buildroot/%_docdir/%name-%version/


install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}): \
command="siag" \
title="Siag" \
longtitle="Siag Office spreadsheet" \
needs="x11" \
section="Office/Spreadsheets" \
icon="siag_spreadsheet.png"
EOF

cat > %buildroot/%_menudir/pw <<EOF
?package(%{name}): \
command="pw" \
title="Pathetic Writer" \
longtitle="Siag Office Pathetic writer" \
needs="x11" \
section="Office/Wordprocessors" \
icon="siag_wordprocessor.png"
EOF

cat > %buildroot/%_menudir/xfiler <<EOF
?package(%{name}): \
command="xfiler" \
title="Xfiler" \
longtitle="Siag File manager" \
needs="x11" \
section="Applications/File tools" \
icon="siag_file_tools.png"
EOF

cat > %buildroot/%_menudir/xedplus <<EOF
?package(%{name}): \
command="xedplus" \
title="Xedplus" \
longtitle="Siag text editor" \
needs="x11" \
section="Applications/Editors" \
icon="siag_editors.png"
EOF

cat > %buildroot/%_menudir/gvu <<EOF
?package(%{name}): \
command="gvu" \
title="Gvu" \
longtitle="Siag Postscript viewer" \
needs="x11" \
section="Applications/Publishing" \
icon="siag_publishing.png"
EOF


#mdk icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar xjvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir
 
%post
%update_menus
 
%postun
%clean_menus

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%_bindir/*
%_datadir/%name
%_docdir/*
%_libdir/siag
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png


%changelog
* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.0-3mdk
- fixes for lord rpmlint

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.5.0-2mdk
- Fix menu entries (add icons)
- Clean after build

* Tue Jan 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.5.0-1mdk
- 3.5.0
- fix build with python2.2
- filelists change to reflect new siag distribution scheme

* Mon Oct 29 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.4.10-2mdk
- Rebuild for rpmlint 

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.4.10-1mdk
- 3.4.10

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.4.9-3mdk
- Add missing directories

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.4.9-2mdk
- New office menu structure

* Wed May 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.4.9-1mdk
- updated to 3.4.9

* Thu Dec 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.7-1mdk
- updated to 3.4.7

* Mon Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.6-1mdk
- updated to 3.4.6

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.4-1mdk 
- updated to 3.4.4

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.3-1mdk
- updated to 3.4.3
- fix ownership of mandir :(

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.2-1mdk
- updated to 3.4.2

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.1-1mdk
- updated to 3.4.1

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.0-1mdk
- updated to 3.4.0
- add icons for every application
- BM
- macros

* Mon Jun 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.10-1mdk
- first Mandrake release. 


